Address transactions
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/addresses/{address}/transactions \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/addresses/{address}/transactions"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/addresses/{address}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"tx_hash": "31a84c3c6200bec2498b18c42f882fa690cd0d32a9c84a2019eb5cc42f5971d0",
"slot": 73867237,
"input": false,
"output": true
},
{
"tx_hash": "357a18477c72d771df77736f83abba44fa826a3e36bc31bb81ca4e2f06475cc6",
"slot": 73867237,
"input": false,
"output": true
}
],
"last_updated": {
"timestamp": "2022-10-10 20:25:28",
"block_hash": "bdf4630098ac6923e0ef1ca0b0d6e00dca96790a8c3dd670948fdfe1456798d2",
"block_slot": 73867237
},
"next_cursor": null
}Addresses
Address transactions
Get transaction history for a Cardano address with detailed input/output information and smart contract interactions.
GET
/
addresses
/
{address}
/
transactions
Address transactions
Authorizations
Project API Key
Path Parameters
Address in bech32 format
Query Parameters
The max number of results per page
Required range:
x >= 0The order in which the results are sorted (by point in chain)
Available options:
asc, desc Return only transactions minted on or after a specific slot
Required range:
x >= 0Return only transactions minted on or before a specific slot
Required range:
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Response
Get the transactions for an address
A paginated response. Pass in the next_cursor in a subsequent request as the cursor query parameter to fetch the next page of results.
Was this page helpful?

